---
apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    pv.kubernetes.io/provisioned-by: openshift-storage.rbd.csi.ceph.com
    volume.kubernetes.io/provisioner-deletion-secret-name: rook-csi-rbd-provisioner
    volume.kubernetes.io/provisioner-deletion-secret-namespace: openshift-storage
  creationTimestamp: "2025-10-29T12:28:38Z"
  finalizers:
  - external-provisioner.volume.kubernetes.io/finalizer
  - kubernetes.io/pv-protection
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:pv.kubernetes.io/provisioned-by: {}
          f:volume.kubernetes.io/provisioner-deletion-secret-name: {}
          f:volume.kubernetes.io/provisioner-deletion-secret-namespace: {}
        f:finalizers:
          .: {}
          v:"external-provisioner.volume.kubernetes.io/finalizer": {}
      f:spec:
        f:accessModes: {}
        f:capacity:
          .: {}
          f:storage: {}
        f:claimRef: {}
        f:csi:
          .: {}
          f:controllerExpandSecretRef: {}
          f:driver: {}
          f:nodeStageSecretRef: {}
          f:volumeAttributes:
            .: {}
            f:clusterID: {}
            f:imageFeatures: {}
            f:imageFormat: {}
            f:imageName: {}
            f:journalPool: {}
            f:mapOptions: {}
            f:mounter: {}
            f:pool: {}
            f:storage.kubernetes.io/csiProvisionerIdentity: {}
          f:volumeHandle: {}
        f:persistentVolumeReclaimPolicy: {}
        f:storageClassName: {}
        f:volumeMode: {}
    manager: csi-provisioner
    operation: Update
    time: "2025-10-29T12:28:38Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:phase: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2025-10-29T12:28:38Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:claimRef:
          f:name: {}
          f:namespace: {}
          f:resourceVersion: {}
          f:uid: {}
    manager: virt-cdi-controller
    operation: Update
    time: "2025-10-29T12:28:38Z"
  name: pvc-96ab10b2-df7b-44d8-803f-f5882a05ecd4
  resourceVersion: "2179310"
  uid: 9fa53967-0660-4111-9f96-9fd5c0b07ff3
spec:
  accessModes:
  - ReadWriteMany
  capacity:
    storage: 20Gi
  claimRef:
    name: always-run-strategy-vm-1761740915-1197596
    namespace: test-upgrade-namespace
    resourceVersion: "2179276"
    uid: 0a3e753e-a271-402c-9d70-78eaa3e0b499
  csi:
    controllerExpandSecretRef:
      name: rook-csi-rbd-provisioner
      namespace: openshift-storage
    driver: openshift-storage.rbd.csi.ceph.com
    nodeStageSecretRef:
      name: rook-csi-rbd-node
      namespace: openshift-storage
    volumeAttributes:
      clusterID: openshift-storage
      imageFeatures: layering,deep-flatten,exclusive-lock,object-map,fast-diff
      imageFormat: "2"
      imageName: csi-vol-e26e2f16-eebc-4a12-a73c-e6271101ef65
      journalPool: ocs-storagecluster-cephblockpool
      mapOptions: krbd:rxbounce
      mounter: rbd
      pool: ocs-storagecluster-cephblockpool
      storage.kubernetes.io/csiProvisionerIdentity: 1761569147057-9820-openshift-storage.rbd.csi.ceph.com
    volumeHandle: 0001-0011-openshift-storage-0000000000000002-e26e2f16-eebc-4a12-a73c-e6271101ef65
  persistentVolumeReclaimPolicy: Delete
  storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  volumeMode: Block
status:
  lastPhaseTransitionTime: "2025-10-29T12:28:38Z"
  phase: Bound
